html {
    font-size: 17px;
    height: 100%;
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
  }
  
  body {
    color: #000000;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    flex-grow: 1;
  }
  a {
    transition: all 0.3s ease;
  }
  
  a:hover,
  a:focus {
    text-decoration: none;
  }
  
  a:focus {
    outline: none;
  }
  
  .btn {
    padding: 8px 32px;
  }
  
  .btn:hover {
    background-color: #0039b4;
  }
  
  .tm-section-pad-top {
    padding-top: 135px;
  }
  
  .tm-text-primary {
    color: #0039b4;
  }
  
  .tm-font-big {
    font-size: 1.25rem;
  }
  
  .tm-btn-primary {
    color: white;
    background-color: #0039b4;
    padding: 14px 35px;
    border-radius: 30px;
  }
  
  .tm-btn-primary:hover,
  .tm-btn-primary:focus {
    color: white;
    background-color: #0039b4;
  }
  
  /* Navbar */
  
  .tm-navbar {
    position: fixed;
    width: 100%;
    z-index: 1000;
    background-color: transparent;
    transition: all 0.3s ease;
  }
  
  .tm-navbar.scroll {
    background-color: white;
    border-bottom: 1px solid #0039b4;
  }
  
  .navbar-brand {
    color: white;
    font-size: 1.4rem;
    font-weight: bold;
  }
  
  .navbar-brand:hover,
  .tm-navbar.scroll .navbar-brand:hover {
    color: #0039b4;
  }
  
  .tm-navbar.scroll .navbar-brand {
    color: #8f8f8f;
  }
  
  .nav-item {
    list-style: none;
  }
  
  .tm-nav-link {
    color: white;
  }
  
  .tm-navbar.scroll .tm-nav-link {
    color: #0039b4;
  }
  
  .tm-navbar.scroll .tm-nav-link:hover,
  .tm-navbar.scroll .tm-nav-link.current,
  .tm-nav-link:hover {
    color: #3496d8;
  }
  
  .navbar-toggler {
    border: 1px solid white;
    padding-left: 10px;
    padding-right: 10px;
  }
  
  .navbar-toggler-icon {
    color: white;
    padding-top: 6px;
  }
  
  .tm-navbar.scroll .navbar-toggler {
    border: 1px solid #0039b4;
  }
  
  .tm-navbar.scroll .navbar-toggler-icon {
    color: #0039b4;
  }
  
  /* Hero */
  
  #hero {
    background-image: url(../img/the-town-bg-02.jpg);
    background-repeat: no-repeat;
    height: 100vh;
    min-height: 375px;
    position: relative;
  }
  
  @media (min-height: 830px) {
    #hero {
      background-position: center -210px;
    }
  }
  
  @media (min-height: 680px) and (max-height: 829px) {
    #hero {
      background-position: center -300px;
    }
  }
  
  @media (min-height: 500px) and (max-height: 679px) {
    #hero {
      background-position: center -400px;
    }
  }
  
  @media (max-height: 499px) {
    #hero {
      background-position: center -450px;
    }
  }
  
  .tm-hero-text-container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-flow: column;
    justify-content: center;
  }
  
  .tm-hero-text-container-inner {
    margin-top: -90px;
  }
  
  .tm-hero-title {
    font-size: 3.5rem;
    text-shadow: 2px 2px 2px #333;
  }
  
  .tm-intro-next {
    position: absolute;
    bottom: 100px;
    left: 0;
    right: 0;
  }
  
  @media (max-height: 480px) {
    .tm-hero-text-container-inner {
      margin-top: -40px;
    }
  
    .tm-intro-next {
      bottom: 20px;
    }
  }
  
  .tm-down-arrow-link {
    display: block;
    margin-top: 18%;
  }
  
  .tm-down-arrow {
    color: #0039b4;
    cursor: pointer;
    background: white;
    border-radius: 50%;
    padding: 10px 22px 8px;
    transition: all 0.3s ease;
  }
  
  .tm-down-arrow:hover,
  .tm-down-arrow:focus {
    color: white;
    background: #0039b4;
  }
  
  /* Introduction */
  
  .tm-section-title {
    font-size: 2.6rem;
    font-weight: normal;
  }
  
  .tm-intro-text {
    font-size: 1.2rem;
    line-height: 1.4;
  }

  .icon-container {
    text-align: center;
  }
  
  .tm-icon {
    display: inline-block; /* Mantém o ícone centralizado */
    margin-bottom: 40px; /* Ajuste conforme necessário */
    color: #0c3692;
  }
  
  /* Nossos serviços */
  
  #nossosservicos {
    color: #000000;
    padding: 120px 10px 10px;
    text-align: center;
  }
  
  #nossosservicos h1 {
    font-size: 2.5em;
    margin-bottom: 30px;
    color: #0039b4;
  }
  
  #nossosservicos .grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 100px; /* Ajuste o valor conforme necessário */ 
  }
  
  #nossosservicos .tm-gallery-item {
    width: calc(25% - 100);
    max-width: 100%;
    height: 100px;
  }
  
  #nossosservicos .tm-gallery-item figure {
    font-size: 17px;
    position: relative;
    overflow: hidden;
    background: #ffffff;
    text-align: center;
    cursor: pointer;
    border-radius: 30%;
  }
  
  #nossosservicos .tm-gallery-item img {
    width: 100%;
    height: auto;
    transition: opacity 0.35s;
  }
  
  #nossosservicos .tm-gallery-item figure:hover img {
    opacity: 0.7;
  }
  
  #nossosservicos .tm-gallery-item figcaption {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 1em 1.5em;
    background-color: rgba(0, 0, 0, 0.7);
    color: #ffffff;
    text-align: center;
    transform: translateY(100%);
    transition: transform 0.55s;
  }
  
  #nossosservicos .tm-gallery-item figure:hover figcaption {
    transform: translateY(0);
  }
  
  #nossosservicos .tm-gallery-item h2 {
    font-size: 0.9em;
    margin: 1px;
  }
  
  @media (max-width: 768px) {
    #nossosservicos .tm-gallery-item {
        width: 200px;  /* Ajuste o valor conforme necessário */
        margin-bottom: 20px;  /* Verifique o espaçamento */
    }
    
    /* Caso a barra de navegação precise de ajustes */
    .tm-navbar.scroll {
        z-index: 10; /* Certifique-se de que está acima do conteúdo */
    }
}
  
  /* Galeria */
  
  .tm-work-description {
    max-width: 650px;
    width: 100%;
    font-size: 0.8rem;
  }
  
  .tm-gallery-container {
    padding-top: 170px;
    padding-bottom: 170px;
  }
  
  .tm-gallery-item {
    margin: 0 15px;
  }
  
  .slick-dots {
    bottom: -65px;
  }
  
  .slick-dots li {
    margin: 0 13px;
  }
  
  .slick-dots li button:hover:before,
  .slick-dots li button:focus:before,
  .slick-dots li.slick-active button:before {
    opacity: 1;
    color: #0039b4;
  }
  
  .slick-dots li button:before {
    font-size: 26px;
  }
  
  
  .grid figure {
    position: relative;
    float: left;
    overflow: hidden;
    /* margin: 10px 1%;
    min-width: 320px;
      max-width: 480px;
      max-height: 360px;
      width: 48%; */
    background: #0039b4;
    text-align: center;
    cursor: pointer;
  }
  
  .grid figure img {
    position: relative;
    display: block;
    min-height: 100%;
    max-width: 100%;
    opacity: 0.8;
  }
  
  .grid figure figcaption {
    padding: 2em;
    color: #fff;
    text-transform: uppercase;
    font-size: 1.25em;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
  }
  
  .grid figure figcaption::before,
  .grid figure figcaption::after {
    pointer-events: none;
  }
  
  .grid figure figcaption,
  .grid figure figcaption > a {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
  
  .grid figure figcaption > a {
    z-index: 1000;
    text-indent: 200%;
    white-space: nowrap;
    font-size: 0;
    opacity: 0;
  }
  
  .grid figure h2 {
    word-spacing: -0.15em;
    font-weight: 300;
  }
  
  .grid figure h2 span {
    font-weight: 800;
  }
  
  .grid figure h2,
  .grid figure p {
    margin: 0;
  }
  
  .grid figure p {
    letter-spacing: 1px;
    font-size: 68.5%;
  }
  
  figure.effect-honey {
    background: #4a3753;
    max-width: 220px;
  }
  
  figure.effect-honey img {
    opacity: 0.9;
    -webkit-transition: opacity 0.35s;
    transition: opacity 0.35s;
  }
  
  figure.effect-honey:hover img {
    opacity: 0.5;
  }
  
  figure.effect-honey figcaption::before {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 10px;
    background: #0039b4;
    content: "";
    -webkit-transform: translate3d(0, 10px, 0);
    transform: translate3d(0, 10px, 0);
  }
  
  figure.effect-honey h2 {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 1em 1.5em;
    width: 100%;
    text-align: left;
    -webkit-transform: translate3d(0, -30px, 0);
    transform: translate3d(0, -30px, 0);
  }
  
  figure.effect-honey h2 i {
    font-style: normal;
    opacity: 0;
    -webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
    transition: opacity 0.35s, transform 0.35s;
    -webkit-transform: translate3d(0, -30px, 0);
    transform: translate3d(0, -30px, 0);
  }
  
  figure.effect-honey figcaption::before,
  figure.effect-honey h2 {
    -webkit-transition: -webkit-transform 0.35s;
    transition: transform 0.35s;
  }
  
  figure.effect-honey:hover figcaption::before,
  figure.effect-honey:hover h2,
  figure.effect-honey:hover h2 i {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
  
  /* Contato */
  
  #contact {
    color: white;
    background-image: url(../img/the-town-bg-01.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover; /* Garante que a imagem cubra toda a seção */
    position: relative;
    padding-bottom: 0; /* Remover padding inferior */
    padding-top: 160px; /* Mantenha o padding superior como está */
    min-height: 100vh; /* Mantenha o min-height para ocupar a altura total da tela */
    margin-bottom: 0; /* Evita qualquer margem que possa estar causando a barra branca */
}

.tm-underline {
    border-top: 2px solid white;
    height: 8px;
    width: 100%;
}

.tm-underline-inner {
    width: 25%;
    height: 8px;
    background: white;
}

.tm-contact-item {
    margin-bottom: 75px;
}

.tm-contact-item-link {
    display: flex;
    align-items: center;
}

.tm-contact-item-link i,
.tm-contact-item-link span {
    color: white;
    transition: all 0.3s ease;
}

.tm-contact-item-link:hover i,
.tm-contact-item-link:hover span {
    color: #3496d8;
}

.tm-input {
    padding: 8px 25px;
    border-radius: 3px;
    border: 1px solid white;
    background: transparent;
    color: white;
}

::placeholder {
    color: white;
    opacity: 1; /* Firefox */
}

:-ms-input-placeholder {
    color: white;
}

::-ms-input-placeholder {
    color: white;
}

.tm-btn-submit {
    margin-left: 20px;
}

.tm-footer {
  position: relative; /* Permite que o rodapé seja exibido sem interferir em outras seções */
  bottom: 0;
  left: 0;
  right: 0;
  padding: 40px; /* Ajuste conforme necessário */
  margin-top: 10px; /* Remove a margem superior */
}

.tm-footer-link {
    color: white;
}

.tm-footer-link:hover,
.tm-footer-link:focus {
    color: #3496d8;
    text-decoration: none;
}

p {
    line-height: 1.9;
}

/* Responsividade para diferentes tamanhos de tela */

@media (min-width: 768px) {
    .tm-intro-text-container {
        padding-left: 65px;
    }

    .navbar-expand-md .navbar-nav .nav-link {
        padding-right: 30px;
        padding-left: 30px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1275px;
    }

    .tm-container-gallery {
        max-width: 1290px;
    }

    .tm-container-contact {
        max-width: 1063px;
    }
}

@media (max-width: 991px) {
    .tm-intro-text-container {
        padding-left: 15px;
        padding-top: 30px;
        max-width: 600px;
        margin-left: auto;
        margin-right: auto;
    }

    .tm-intro-img {
        display: block;
        margin-left: auto;
        margin-right: auto;
    }

    .tm-btn-submit {
        margin-left: 0;
        margin-top: 20px;
    }
}

@media (max-width: 767px) {
    #contact {
        padding-top: 20px; /* Diminui o padding superior no mobile */
        padding-bottom: 100px; /* Ajusta o padding inferior */
        min-height: auto; /* Remove a altura mínima fixa */
    }

    .tm-contact-item {
        margin-bottom: 25px; /* Ajusta o espaço entre os itens de contato */
    }

    .tm-btn-submit {
        margin-left: 0;
        margin-top: 20px;
    }

    .navbar-nav {
        max-width: 200px;
        text-align: right;
    }

    .navbar-collapse {
        background-color: rgb(255, 255, 255);
        padding: 10px;
        border-radius: 3px;
    }

    .navbar-collapse .nav-link {
        color: #8f8f8f;
    }
}

@media (max-width: 480px) {
    .tm-gallery-container {
        max-width: 220px;
        margin-left: auto;
        margin-right: auto;
    }

    .slick-dots li {
        margin: 0 8px;
    }

    .tm-gallery-item {
        margin: 0;
    }
}

@media (max-width: 420px) {
    .tm-btn-submit {
        display: block;
        margin-left: 0;
        margin-top: 20px;
    }
}
